ERIP
API ReferencePublicCompanies

/v1/Companies/search

GET/v1/Companies/search

Authorization

ApiKey Bearer
X-Api-Key<token>

Provide your API key in the X-Api-Key header.

In: header

AuthorizationBearer <token>

Enter a JWT token obtained from /v1/auth/login.

In: header

Query Parameters

lei?string
name?string
registrationNumber?string
countryCode?string
page?integer
Formatint32
pageSize?integer
Formatint32

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/Companies/search"
[
  {
    "id": "string",
    "lei": "string",
    "name": "string",
    "countryCode": "string",
    "registrationNumber": "string",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
]
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}